summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorBrent Smith <gnome@nextreality.net>2006-02-19 01:05:51 +0000
committerBrent Smith <bmsmith@src.gnome.org>2006-02-19 01:05:51 +0000
commit2a51d95953974af30e288e245d10ff38c476e376 (patch)
treea755feacaad8e3514cc2fa78ed68e3c7865892c7 /autogen.sh
parent0fa4d44f1f6e400038c0acef52b45468d657dab7 (diff)
downloadgnome-user-docs-2a51d95953974af30e288e245d10ff38c476e376.tar.gz
gnome-user-docs-2a51d95953974af30e288e245d10ff38c476e376.tar.xz
gnome-user-docs-2a51d95953974af30e288e245d10ff38c476e376.zip
replace old autogen.sh with the generic one that uses gnome-autogen.sh
2006-02-18 Brent Smith <gnome@nextreality.net> * autogen.sh: replace old autogen.sh with the generic one that uses gnome-autogen.sh
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh84
1 files changed, 12 insertions, 72 deletions
diff --git a/autogen.sh b/autogen.sh
index d032c82..0adade1 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,81 +4,21 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
+PKG_NAME="gnome-user-docs"
-PROJECT=gnome-user-docs
-TEST_TYPE=-f
-FILE=Makefile.am
-
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile $PROJECT."
- echo "Get ftp://alpha.gnu.org/gnu/libtool-1.0h.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
+(test -f $srcdir/configure.in \
+ && test -d $srcdir/gnome2-user-guide) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
}
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
-}
-
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
-
-case $CC in
-*lcc | *lcc\ *) am_opt=--include-deps;;
-esac
-
-#echo "Running gettextize... Ignore non-fatal messages."
-# Hmm, we specify --force here, since otherwise things don't
-# get added reliably, but we don't want to overwrite intl
-# while making dist.
-#echo "no" | gettextize --copy --force
-
-echo "Running libtoolize"
-libtoolize --copy --force
-
-aclocal $ACLOCAL_FLAGS
-
-# optionally feature autoheader
-(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
-
-automake -a $am_opt
-autoconf
-
-cd $ORIGDIR
-
-if [ "`whoami`" = "sopwith" ]; then
- SOPWITH_FLAGS_HACK="--enable-fatal-warnings=no --enable-more-warnings=no"
-fi
-
-$srcdir/configure --enable-maintainer-mode "$@" $SOPWITH_FLAGS_HACK
+REQUIRED_AUTOMAKE_VERSION=1.6
+export REQUIRED_AUTOMAKE_VERSION
-echo
-echo "Now type 'make' to compile $PROJECT."
+USE_GNOME2_MACROS=1 . gnome-autogen.sh